=== modified file 'account_voucher_tax_sat/__init__.py'
--- account_voucher_tax_sat/__init__.py	2013-10-02 22:24:19 +0000
+++ account_voucher_tax_sat/__init__.py	2013-10-07 17:21:41 +0000
@@ -21,4 +21,6 @@
 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ################################################################################
 
-import model
\ No newline at end of file
+
+import model
+import wizard
\ No newline at end of file

=== modified file 'account_voucher_tax_sat/__openerp__.py'
--- account_voucher_tax_sat/__openerp__.py	2013-10-03 18:50:20 +0000
+++ account_voucher_tax_sat/__openerp__.py	2013-10-07 17:21:41 +0000
@@ -39,6 +39,7 @@
         'account_voucher_tax'
         ],
     'data': [
+        'wizard/account_tax_sat_view.xml',
         'view/account_voucher_tax_sat_view.xml',
       
         ],

=== modified file 'account_voucher_tax_sat/model/account_voucher_tax_sat.py'
--- account_voucher_tax_sat/model/account_voucher_tax_sat.py	2013-10-04 00:10:03 +0000
+++ account_voucher_tax_sat/model/account_voucher_tax_sat.py	2013-10-07 17:21:41 +0000
@@ -68,6 +68,10 @@
                         'debit': move_line_tax.credit,
                     }) for move_line_tax in voucher_tax_sat.aml_ids ]
                     
+                cr.execute('UPDATE account_move_line '\
+                            'SET amount_tax_unround = null '\
+                            'WHERE id in %s ',(tuple(move_line_copy), ))
+                            
         return True
     def create_entries_tax_iva_sat(self, cr, uid, voucher_tax_sat,
                                                             context=None):
@@ -97,8 +101,8 @@
                     'account_id': move_line.tax_id_secondary.account_id_by_creditable.id,
                     'credit': 0.0,
                 }
-                #for line_dt_cr in [move_line_dt, move_line_cr]:
-                #    aml_obj.create(cr, uid, line_dt_cr, context=context)
+                for line_dt_cr in [move_line_dt, move_line_cr]:
+                    aml_obj.create(cr, uid, line_dt_cr, context=context)
         return True
     
     def create_move_line_sat(self, cr, uid, voucher_tax_sat, amount, context=None):
@@ -134,7 +138,9 @@
         context = context or {}
         ids = isinstance(ids, (int, long)) and [ids] or ids
         if not ids: return []
-        dummy, view_id = self.pool.get('ir.model.data').get_object_reference(cr, uid, 'account_voucher', 'view_vendor_payment_form')
+        dummy, view_id = self.pool.get('ir.model.data').\
+                                get_object_reference(cr, uid,
+                                'account_voucher', 'view_vendor_payment_form')
         exp_brw = self.browse(cr, uid, ids[0], context=context)
         return {
             'name':_("Pay SAT"),

=== modified file 'account_voucher_tax_sat/view/account_voucher_tax_sat_view.xml'
--- account_voucher_tax_sat/view/account_voucher_tax_sat_view.xml	2013-10-04 00:10:03 +0000
+++ account_voucher_tax_sat/view/account_voucher_tax_sat_view.xml	2013-10-07 17:21:41 +0000
@@ -17,6 +17,11 @@
                             name="sat_pay"
                             type="object"
                             class="oe_highlight"/>
+                            
+                    <button name="%(action_view_account_voucher_tax_assigned)d"
+                            type='action'
+                            string='Assigned Account'
+                            class="oe_highlight"/>
                 </header>
                     <group col="4">
                         <group col='4'>
@@ -35,7 +40,6 @@
                         </group>
                         <group col='1' colspan='4'>
                             <field name='aml_ids'
-                                   required='1'
                                    />
                         </group>
                     </group>

=== added directory 'account_voucher_tax_sat/wizard'
=== added file 'account_voucher_tax_sat/wizard/__init__.py'
--- account_voucher_tax_sat/wizard/__init__.py	1970-01-01 00:00:00 +0000
+++ account_voucher_tax_sat/wizard/__init__.py	2013-10-07 17:21:41 +0000
@@ -0,0 +1,25 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) Vauxoo (<http://vauxoo.com>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Julio Cesar Serna Hernandez(julio@vauxoo.com)
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+
+
+import account_tax_sat
\ No newline at end of file

=== added file 'account_voucher_tax_sat/wizard/account_tax_sat.py'
--- account_voucher_tax_sat/wizard/account_tax_sat.py	1970-01-01 00:00:00 +0000
+++ account_voucher_tax_sat/wizard/account_tax_sat.py	2013-10-07 17:21:41 +0000
@@ -0,0 +1,65 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) Vauxoo (<http://vauxoo.com>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Julio Cesar Serna Hernandez(julio@vauxoo.com)
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+
+
+import time
+from openerp.osv import fields, osv
+from openerp import netsvc
+import openerp.addons.decimal_precision as dp
+from openerp.tools.translate import _
+
+
+class account_voucher_tax_assigned(osv.TransientModel):
+    
+    _name = 'account.voucher.tax.assigned'
+    
+    _columns = {
+        'tax_ids': fields.many2many('account.tax', 'voucher_assgined_tax_rel',
+                                'wiz_id',
+                                'tax_id',
+                                'Taxes to Close'),
+        'account_ids': fields.many2many('account.account', 'assigned_account_rel',
+                                'wiz_id',
+                                'account_id',
+                                'Account to Close')
+    }
+    
+    def action_account_assigned(self, cr, uid, ids, context=None):
+        aml_obj = self.pool.get('account.move.line')
+        acc_voucher_tax_sat_obj = self.pool.get('account.voucher.tax.sat')
+        if context is None:
+            context = {}
+        
+        for tax_assigned in self.browse(cr, uid, ids, context=context):
+            acc_vocuher_tax_sat = acc_voucher_tax_sat_obj.browse(cr, uid,
+                                            context.get('active_id', False))
+            taxe_assigned = [taxes.id for taxes in tax_assigned.tax_ids]
+            move_line_to_close = aml_obj.search(cr, uid, [
+                        ('tax_id_secondary', 'in', taxe_assigned),
+                        ('credit', '>', 0.0),
+                        ('period_id', '=', acc_vocuher_tax_sat.period_id.id)
+                        ])
+            print move_line_to_close,'move_line_to_close'
+            acc_voucher_tax_sat_obj.write(cr, uid, acc_vocuher_tax_sat.id, {'aml_ids': [(4, move_id) for move_id in move_line_to_close]})
+        return True
+    
\ No newline at end of file

=== added file 'account_voucher_tax_sat/wizard/account_tax_sat_view.xml'
--- account_voucher_tax_sat/wizard/account_tax_sat_view.xml	1970-01-01 00:00:00 +0000
+++ account_voucher_tax_sat/wizard/account_tax_sat_view.xml	2013-10-07 17:21:41 +0000
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <record id="view_account_voucher_tax_form2" model="ir.ui.view">
+            <field name="name">account.voucher.tax.assigned.form</field>
+            <field name="model">account.voucher.tax.assigned</field>
+            <field name="arch" type="xml">
+                <form string="Account Voucher Tax Assigned" version="7.0">
+                    <group col="4">
+                        <group col='1' colspan='4'>
+                            <field name='tax_ids'
+                                   readonly='0'
+                                   />
+                            <field name='account_ids'
+                                   readonly='0'
+                                   />
+                        </group>
+                    </group>
+                    <footer>
+                        <button string="Ok" name="action_account_assigned" type="object" class="oe_highlight"/>
+                        or
+                        <button string="Cancel" class="oe_link" special="cancel"/>
+                    </footer>
+                </form>
+            </field>
+        </record>
+
+        <record id="action_view_account_voucher_tax_assigned" model="ir.actions.act_window">
+            <field name="name">Account Voucher Tax Assigned</field>
+            <field name="res_model">account.voucher.tax.assigned</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" ref="view_account_voucher_tax_form2"/>
+            <field name="target">new</field>
+        </record>
+
+    </data>
+</openerp>

